#include <bits/stdc++.h>
using namespace std;
int main()
{
	int t;
	scanf("%i",&t);
	while(t--)
	{
		int n,m,k;
		scanf("%i%i%i",&n,&m,&k);
		if(k>n)
		{
			printf("Nie");
			continue;
		}
		int d,z,r;
		if(n%k==0)
		{
			d=n/k;
			z=d*(d+1)/2;
			r=z*k;
		}
		else
		{
			d=n/k+1;
			z=d*(d+1)/2;
			r=z*(k-1)+(n%k)*(n%k-1)/2;
		}
		/*int d=n/k;
		int z=d*(d+1)/2,r;
		if(n%k==0)
		{
			r=z*k;
		}
		else
		{
			r=z*(k-1)+(n-(d*k))*(n-(d*k)+1)/2;
		}*/
		if(r>m)
		{
			printf("Nie\n");
		}
		else
		{
			printf("Tak\n");
		}
	}
	return 0;
}